SDL_EGL_SetEGLAttributeCallbacks(3)

NAME
SDL_EGL_SetEGLAttributeCallbacks - Sets the callbacks for defining custom EGLAttrib arrays for EGL initialization.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_EGL_SetEGLAttributeCallbacks(SDL_EGLAttribArrayCallback platformAttribCallback,
                                      SDL_EGLIntArrayCallback surfaceAttribCallback,
                                      SDL_EGLIntArrayCallback contextAttribCallback);

DESCRIPTION
Each callback should return a pointer to an EGL attribute array terminated with EGL_NONE. Callbacks may return NULL pointers to signal an error, which will cause the SDL_CreateWindow
 process to fail gracefully. The arrays returned by each callback will be appended to the existing attribute arrays defined by SDL. NOTE: These callback pointers will be reset after SDL_GL_ResetAttributes .

FUNCTION PARAMETERS

platformAttribCallback
    Callback for attributes to pass to eglGetPlatformDisplay.

surfaceAttribCallback
    Callback for attributes to pass to eglCreateSurface.

contextAttribCallback
    Callback for attributes to pass to eglCreateContext.

AVAILABILITY
This function is available since SDL 3.0.0.